Update UnitType
Update UnitType.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
unit_type_id
ID of the UnitType.
Request
This endpoint expects an object.
archiveReason
archived
formula
Formula defining this type in terms of other units.
name
The name of this unit type, e.g. "Volume".
overrideIsConcentration
When true, forces this UnitType to be treated as a concentration type regardless of its terms. When false, the classification is determined by the UnitType's terms. Mutually exclusive with overrideIsContainerQuantity.
overrideIsContainerQuantity
When true, forces this UnitType to be treated as a container quantity type regardless of its terms. When false, the classification is determined by the UnitType's terms. Mutually exclusive with overrideIsConcentration.
Response
OK
__typename
archiveReason
archived
baseUnit
The reference unit. All other units' conversionFactors are relative to this unit. Null for unit
types with no units yet.
createdAt
formula
Defines this unit type in terms of other units for derived types, e.g. Liter = decimeter cubed.
id
modifiedAt
name
The user-facing name, e.g. “Volume” or “Molar Concentration”.
overrideIsConcentration
When true, forces this UnitType to be treated as a concentration type regardless of its terms. When false, the classification is determined by the UnitType’s terms. Mutually exclusive with overrideIsContainerQuantity.
overrideIsContainerQuantity
When true, forces this UnitType to be treated as a container quantity type regardless of its terms. When false, the classification is determined by the UnitType’s terms. Mutually exclusive with overrideIsConcentration.
terms
The dimensional composition of this unit type as a list of SI base dimensions with exponents.
units
All units belonging to this unit type.
Errors
400
Unit Type Update Request Bad Request Error
403
Unit Type Update Request Forbidden Error
404
Unit Type Update Request Not Found Error
409
Unit Type Update Request Conflict Error
429
Unit Type Update Request Too Many Requests Error
500
Unit Type Update Request Internal Server Error